package com.yiqi.common.enums;

/**
 * 用户状态 -2=已退卡, -1=已冻结, 0=未激活, 1=使用中, 2=已无效
 *
 * @author ruoyi
 */
public enum RechargeStatusType {
    NOT_UES("0", "未激活"),
    //已冻结
    FROZEN("-1", "已冻结"),
    //已退款
    REFUND("-2", "已退款"),

    HAS_USE("1", "使用中"),
    //已无效
    INVALID("2", "已无效");
    ;

    private final String code;
    private final String info;

    RechargeStatusType(String code, String info) {
        this.code = code;
        this.info = info;
    }

    public String getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }
}
